Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.acegisecurity.event.authorization
Class PublicInvocationEvent

    java.lang.Object
      java.util.EventObject
          org.springframework.context.ApplicationEvent
              org.acegisecurity.event.authorization.AbstractAuthorizationEvent
                  org.acegisecurity.event.authorization.PublicInvocationEvent

All Implemented Interfaces:
  Serializable

    public class PublicInvocationEvent

extends AbstractAuthorizationEvent

Event that is generated whenever a public secure object is invoked.

A public secure object is a secure object that has no `ConfigAttributeDefinition` defined. A public secure object will not cause the `SecurityContextHolder` to be inspected or authenticated, and no authorization will take place.

Published just before the secure object attempts to proceed.

Version:
  $Id: PublicInvocationEvent.java,v 1.3 2005/11/17 00:56:09 benalex Exp $
Author:
  Ben Alex
See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`PublicInvocationEvent(Object secureObject)` Construct the event, passing in the public secure object.

Method Summary

Methods inherited from class org.springframework.context.ApplicationEvent
`getTimestamp`

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PublicInvocationEvent

    public PublicInvocationEvent(Object secureObject)

  Construct the event, passing in the public secure object.

  Parameters:
    `secureObject` - the public secure object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Acegi Technology Pty Limited. All Rights Reserved.